package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.FloodCase;

/**
 * 洪水案例库Mapper接口
 *
 * @author jackeyhuang
 * @version 1.0.0
 * @date 2025-01-27
 */
public interface FloodCaseMapper
{
    /**
     * 查询洪水案例库
     *
     * @param caseId 洪水案例库主键
     * @return 洪水案例库
     */
    public FloodCase selectFloodCaseByCaseId(Long caseId);

    /**
     * 查询洪水案例库列表
     *
     * @param floodCase 洪水案例库
     * @return 洪水案例库集合
     */
    public List<FloodCase> selectFloodCaseList(FloodCase floodCase);

    /**
     * 新增洪水案例库
     *
     * @param floodCase 洪水案例库
     * @return 结果
     */
    public int insertFloodCase(FloodCase floodCase);

    /**
     * 修改洪水案例库
     *
     * @param floodCase 洪水案例库
     * @return 结果
     */
    public int updateFloodCase(FloodCase floodCase);

    /**
     * 删除洪水案例库
     *
     * @param caseId 洪水案例库主键
     * @return 结果
     */
    public int deleteFloodCaseByCaseId(Long caseId);

    /**
     * 批量删除洪水案例库
     *
     * @param caseIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFloodCaseByCaseIds(Long[] caseIds);

    /**
     * 统计案例库总数
     *
     * @return 案例库总数
     */
    public int countFloodCase();
}
